Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #527 (assigned task)

Opened 13 years ago

Last modified 13 years ago

document wext compliance

Reported by: kelmo Assigned to: kelmo (accepted)
Priority: trivial Milestone: version 1.0.0 - first stable release
Component: madwifi: documentation Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

We should adjust our docs to reflect the additional wext ioctl's committed in r1499.

Change History

04/12/06 14:28:57 changed by kelmo

  • status changed from new to assigned.
  • component changed from madwifi: other to madwifi: documentation.
  • priority changed from major to trivial.
  • version set to trunk.
  • milestone set to version 1.0.0 - first stable release.
  • owner set to kelmo.

06/02/06 15:17:34 changed by kelmo

Added minimal info to the 802.11i page.

06/14/06 14:44:09 changed by kelmo

Put a few sentences in the README file.

06/21/06 23:53:30 changed by espy@pepper.com

Having just spent the past 2 days looking at MADWiFi's Wireless Extensions support, I thought I'd chime in.

As of snapshot r1648, MADWiFi partially supports WE version 18:

  • no support for SIOCSIWPMKSA ( WPA2 PMKSA cache operation ); ioctl code not present.
  • only new wireless event used is IWEVGENIE ( generic IE element ); used in lieu of WIEVCUSTOM RSN/WPA IE elements.
  • new SIOCSIWSCAN request params (used for controlling scanning behavior) not used.
  • SIOCSIWAUTH - the following parameters are not supported and return the errno EOPNOTSUPP ( see ticket #566 for details ):
    • IW_AUTH_80211_AUTH_ALG - sets the authentication algorithm ( Open | Shared | LEAP ).
    • IW_AUTH_RX_UNENCRYPTED_EAPOL - allows uncrypted EAPOL messages if pairwise keys are set and WPA is not enabled.
  • SIOCGIWRANGE - returns 13 for we_version_source instead of 18 ( Note - I think we_version_source is supposed to return the version of Wireless Extensions supported by the driver itself, whereas we_version_compiled is the version supported by the kernel ).

I've also found that after patching my kernel (2.6.12) with the WE18 patch and rebuilding MADWiFi 0.9.0, wpa_supplicant (0.4.7) won't associate with any access points ( I've tried WPA-PSK and WEP ) if I start it with -Dwext. It works just fine if I start it with -Dmadwifi. I haven't debugged the problem yet.

07/04/06 12:35:22 changed by kelmo

Cool, thanks for the summary.